For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get API Key
GuidesAPI Reference
GuidesAPI Reference
  • Overview
    • API Reference
  • Endpoint Reference
    • Organizations
    • Projects
    • Documents
    • Agent
    • Check
  • API Explorer
      • GETList requirements for a check run
      • GETGet a check run with full results
      • POSTTrigger processing for a check run
      • GETList compliance check runs
      • POSTCreate a compliance check run
      • POSTVerify a single compliance requirement
Get API Key
LogoLogo
API ExplorerCheck

List requirements for a check run

GET
/api/v2/check/runs/:id/requirements
GET
/api/v2/check/runs/:id/requirements
$curl https://api-staging.pyramid-ai.com/api/v2/check/runs/id/requirements \
> -H "Authorization: Bearer <token>"
1{
2 "request_id": "string",
3 "success": null,
4 "data": [
5 {
6 "id": "req_1a2b3c4d-5678-90ab-cdef-123456789012",
7 "run_id": "string",
8 "text": "Emergency exits must be clearly marked with illuminated signage on every floor",
9 "order_index": 0,
10 "status": "completed",
11 "created_at": "2024-01-15T09:30:00Z",
12 "updated_at": "2024-01-15T09:30:00Z",
13 "sub_requirements": [
14 {
15 "id": "string",
16 "requirement_id": "string",
17 "text": "string",
18 "justification": "string",
19 "score": 1.1,
20 "status": "string",
21 "created_at": "2024-01-15T09:30:00Z",
22 "updated_at": "2024-01-15T09:30:00Z",
23 "sources": null
24 }
25 ]
26 }
27 ],
28 "pagination": {
29 "total": 127,
30 "offset": 0,
31 "limit": 50
32 }
33}
Was this page helpful?
Previous

Get a check run with full results

Next
Built with

Authentication

AuthorizationBearer

Pyramid API key (prefix with “Bearer ”)

Path parameters

idstringRequiredformat: "uuid"

Response

List of requirements
request_idstringformat: "uuid"

Server-generated per-request UUID. Also sent as X-Request-Id response header. Include in support tickets.

successany
datalist of objects
paginationobject

Present only on list endpoints. Top-level (not nested inside data).

Errors

401
Unauthorized Error
404
Not Found Error